## rdesktop 1.1.0

=== Makefile ===
#
# rdesktop: A Remote Desktop Protocol client
# Makefile
# Copyright (C) Matthew Chapman 1999-2001
#

# Configuration defaults

CC       = cc
CFLAGS   = -O2
INCLUDES = -I/usr/X11R6/include
LDLIBS   = -L/usr/X11R6/lib -lX11

PREFIX   = /usr/local
EPREFIX  = $(PREFIX)
BINDIR   = $(EPREFIX)/bin
MANDIR   = $(PREFIX)/man

RDPOBJ   = rdesktop.o tcp.o iso.o mcs.o secure.o licence.o rdp.o orders.o bitmap.o cache.o xwin.o
CRYPTOBJ = crypto/rc4_enc.o crypto/rc4_skey.o crypto/md5_dgst.o crypto/sha1dgst.o crypto/bn_exp.o crypto/bn_mul.o crypto/bn_div.o crypto/bn_sqr.o crypto/bn_add.o crypto/bn_shift.o crypto/bn_asm.o crypto/bn_ctx.o crypto/bn_lib.o

include Makeconf  # local configuration


rdesktop: $(RDPOBJ) $(CRYPTOBJ)
	$(CC) $(CFLAGS) -o rdesktop $(RDPOBJ) $(CRYPTOBJ) $(LDDIRS) $(LDLIBS)

Makeconf:
	./configure

install: installbin

installbin: rdesktop
	mkdir -p $(BINDIR)
	cp rdesktop $(BINDIR)
	strip $(BINDIR)/rdesktop
	chmod 755 $(BINDIR)/rdesktop

installman: rdesktop.1
	mkdir -p $(MANDIR)/man1
	cp rdesktop.1 $(MANDIR)/man1
	chmod 755 $(MANDIR)/man1/rdesktop.1

proto:
	cproto -DMAKE_PROTO -o proto.h *.c

clean:
	rm -f *.o crypto/*.o *~ rdesktop

.SUFFIXES:
.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) $(INCLUDES) -o $@ -c $<

## rdesktop 1.7-maemo1

=== debian/changelog ===
rdesktop (1.7-maemo1) stable; urgency=low

  * Show icon in Applications view.
  * Fullscreen button.
  * UI for server settings.
  * Changed name to rdesktop to avoid conflict with other rdesktop-cli.

 -- Gabor Fekete <ext-gabor.2.fekete@nokia.com>  Mon, 04 Dec 2009 16:10:00 +0200

rdesktop-cli (1.6.3-maemo1) stable; urgency=low

  * Fixed power button/sleeping display

 -- Bobby Graese <aimjournals@gmail.com>  Thu, 21 Aug 2008 14:12:15 -0600

rdesktop-cli (1.6.2-maemo1) stable; urgency=low

  * Fixed icon in taskbar

 -- Bobby Graese <aimjournals@gmail.com>  Wed, 20 Aug 2008 22:15:27 -0600

rdesktop-cli (1.6.1-maemo4) stable; urgency=low

  * Fixed un-fullscreen

 -- Bobby Graese <aimjournals@gmail.com>  Wed, 20 Aug 2008 11:30:32 -0600

rdesktop-cli (1.6.1-maemo2) stable; urgency=low

  * Fixed sound

 -- Bobby Graese <aimjournals@gmail.com>  Wed, 20 Aug 2008 10:57:50 -0600

rdesktop-cli (1.6.1-maemo1) stable; urgency=low

  * Fullscreen toggle fix
  * Should build on both diablo and chinook without changes

 -- Bobby Graese <aimjournals@gmail.com>  Tue, 19 Aug 2008 13:07:00 -0600 

rdesktop-cli (1.6.0-chinook2) stable; urgency=low

  * Really fixed this time?

 -- Bobby Graese <aimjournals@gmail.com>  Mon, 18 Aug 2008 19:41:45 -0600

rdesktop-cli (1.6.0-chinook1) stable; urgency=low

  * Fixed for chinook

 -- Bobby Graese <aimjournals@gmail.com>  Mon, 18 Aug 2008 19:34:15 -0600

rdesktop-cli (1.6.0-diablo2) stable; urgency=low

  * Fixed name-change to rdesktop-cli

 -- Bobby Graese <aimjournals@gmail.com>  Mon, 18 Aug 2008 15:53:49 -0600

rdesktop-cli (1.6.0-diablo1) stable; urgency=low

  * Port to maemo
  * Fullscreen key toggles fullscreen

 -- Bobby Graese <aimjournals@gmail.com>  Mon, 18 Aug 2008 13:09:05 -0600

rdesktop (1.6.0-1) unstable; urgency=low

  * New stable upstream release (closes: #484071).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 04 Jun 2008 09:24:17 +0200

rdesktop (1.5.0-4+cvs20071006) unstable; urgency=high

  * Fix three security bugs by backporting them to this CVS snapshot, namely
    CVE-2008-1801 , CVE-2008-1802 and CVE-2008-1803
    (closes: #480133, #480134, #480135).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 08 May 2008 18:54:16 +0200

rdesktop (1.5.0-3+cvs20071006) unstable; urgency=low

  * Fix segfault in XGetPointerMapping() thanks to Felix Domke
    (closes: #445779).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 21 Oct 2007 21:34:16 +0200

rdesktop (1.5.0-2+cvs20071006) unstable; urgency=low

  * CVS snapshot.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 06 Oct 2007 10:20:59 +0200

rdesktop (1.5.0-2) unstable; urgency=low

  * Fix segfault regression caused by libx11-6 security fix.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 12 Apr 2007 21:34:13 +0000

rdesktop (1.5.0-1) unstable; urgency=low

  * New upstream release (closes: #393520), accept Victor's change
    (closes: #343946).
  * New maintainer with ACK from Tomas.
  * Tune packaging.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 17 Oct 2006 21:31:16 +0000

rdesktop (1.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * xlibs-dev transition.

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Sat, 17 Dec 2005 16:17:35 +0100

rdesktop (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Tomas Fasth <tomfa@debian.org>  Tue, 24 May 2005 13:31:34 +0000

rdesktop (1.4.0-2) unstable; urgency=low

  * New maintainer.
  * Update Standards-Version to 3.6.1

 -- Tomas Fasth <tomfa@debian.org>  Fri, 15 Apr 2005 17:47:28 +0000

rdesktop (1.4.0-1) unstable; urgency=low

  * NMU: New upstream release with a nod from Sam.
  * NMU: Fixed debian/rules to come clean with lintian as follows;
    Man page now goes to /usr/share/man instead of /usr/X11R6/man.
    Calling dh_installchangelogs before calling dh_installdocs.

 -- Tomas Fasth <tomfa@debian.org>  Wed, 13 Apr 2005 22:59:56 +0000

rdesktop (1.3.1-1.1) unstable; urgency=low

  * NMU: apply XEmbed patch, Closes: #268896

 -- Riku Voipio <riku.voipio@iki.fi>  Sat,  6 Nov 2004 10:09:21 +0000

rdesktop (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Removes unnecessary manpage. Closes: #223832.

 -- Sam Johnston <samj@aos.net.au>  Wed,  4 Feb 2004 17:52:26 +1100

rdesktop (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Adds ChangeLog. Closes: #189667.
  * Adds RDP5 support. Closes: #212362.
  * Resolves keymap problems. Closes: #198201.
  * Adds upstream documentation. Closes: #189666.

 -- Sam Johnston <samj@aos.net.au>  Thu, 30 Oct 2003 13:09:41 +1100

rdesktop (1.2.0-2) unstable; urgency=medium

  * resolves lintian warnings: out-of-date-standards-version,
    copyright-lists-upstream-authors-with-dh_make-boilerplate,
    postinst-should-not-set-usr-doc-link
  * built against libssl0.9.7. Closes: #180997.
  * updates maintainer email address
  * no upstream changelog - 1.2.0 changes listed below. Closes: #186974.
  * new more portable key mapping code
  * support for high (128-bit) encryption
  * toggling out of full-screen mode with Ctrl-Alt-Enter
  * a few extra options including host:port syntax
  * many, many bug fixes and optimisations

 -- Sam Johnston <samj@aos.net.au>  Tue,  8 Apr 2003 13:56:51 +1000

rdesktop (1.2.0-1) unstable; urgency=low

  * New upstream release. Closes: #179546.

 -- Sam Johnston <samj@debian.org>  Sun, 23 Feb 2003 17:22:28 +1100

rdesktop (1.2beta1-1) unstable; urgency=low

  * New upstream version released (beta)
  * License exemption obtained for OpenSSL. Closes: #172574.

 -- Sam Johnston <samj@debian.org>  Sun,  8 Dec 2002 15:00:42 +1100

rdesktop (1.1.0-2) unstable; urgency=low

  * Moved into main (http://www.debian.org/legal/cryptoinmain)

 -- Sam Johnston <samj@debian.org>  Sat, 23 Mar 2002 21:43:05 +1100

rdesktop (1.1.0-1) unstable; urgency=low

  * New upstream version released
  * Incorporates many fixes from the unified patches:
    http://bibl4.oru.se/projects/rdesktop/patch19-changes.txt


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure:
	./bootstrap

config.status: configure
	dh_testdir

	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) distclean

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/rdesktop.
	$(MAKE) install prefix=$(CURDIR)/debian/rdesktop/usr

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs doc/ChangeLog
	dh_installexamples
	dh_install
	dh_installmenu
	dh_installman
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	maemo-optify
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rdesktop 1.7-maemo2

=== debian/changelog ===
rdesktop (1.7-maemo2) stable; urgency=low

  * Allow to specifiy port number for the server.

 -- Juha V. Aalto <juha.v.aalto@nokia.com>  Wed, 03 Jan 2010 16:10:00 +0200

=== debian/control ===
Source: rdesktop
Section: user/misc
Priority: optional
Maintainer: Bobby Graese <aimjournals@gmail.com>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libxt-dev, libx11-dev, libssl-dev, libasound2-dev, osso-af-settings, libosso-dev, libgtk2.0-dev, libglib2.0-dev, libgconf2-dev, libhildon1-dev, libjpeg62-dev, libice-dev
Standards-Version: 3.7.3

Package: rdesktop
Architecture: any
Depends: ${shlibs:Depends}
Description: RDP client for Windows NT/2000 Terminal Server
 rdesktop is an open source client for Windows NT/2000 Terminal Server, capable
 of natively speaking its Remote Desktop Protocol (RDP) in order to present
 the user's NT/2000 desktop. Unlike Citrix ICA, no server extensions are
 required.

## rdesktop 1.7-maemo3

=== debian/changelog ===
rdesktop (1.7-maemo3) stable; urgency=low

  * Code refactoring.

 -- Juha V. Aalto <juha.v.aalto@nokia.com>  Tue, 09 Feb 2010 16:10:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/misc
 Priority: optional
 Maintainer: Bobby Graese <aimjournals@gmail.com>
-Build-Depends: debhelper (>= 4.0.0), autotools-dev, libxt-dev, libx11-dev, libssl-dev, libasound2-dev, osso-af-settings, libosso-dev, libgtk2.0-dev, libglib2.0-dev, libgconf2-dev, libhildon1-dev, libjpeg62-dev, libice-dev
+Build-Depends: debhelper (>= 4.0.0), autotools-dev, libxt-dev, libx11-dev, libssl-dev, libasound2-dev, osso-af-settings, libosso-dev, libgtk2.0-dev, libglib2.0-dev, libgconf2-dev, libhildon1-dev, libjpeg62-dev, libice-dev, maemo-optify
 Standards-Version: 3.7.3
 
 Package: rdesktop

=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	dh_installdocs
 	dh_link
 	dh_strip
-	dh_compress
+	dh_compress -Xhelp.pdf
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps

## rdesktop 1.7.0

=== debian/changelog ===
rdesktop (1.7.0-2) unstable; urgency=low

  * Switch to 3.0 (quilt) source format, remove dpatch build dependency.
    Update 90_update_smartcard_api.dpatch to apply clean, remove
    80_config.dpatch as it's not needed anymore.
  * Enable hardened build flags, patch from Moritz Muehlenhoff
    <jmm@debian.org> (closes: #653498).
  * Update packaging bits.
  * Mention Windows Server support in package description (closes: #623777).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 03 Jan 2012 19:08:18 +0100

rdesktop (1.7.0-1) unstable; urgency=high

  * New upstream release, fixing CVE-2010-1595 (closes: #623552).
  * Remove 15_lp192218.dpatch , 16_lp667275.dpatch and 35_force_rdpdr.dpatch
    this release contains them; update other patches to match this release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 21 Apr 2011 19:43:08 +0200

rdesktop (1.6.0-4) unstable; urgency=low

  * Fix 64 bit crashes due to incorrectly sized Xorg properties
    (closes: #617731).
  * Add missing '-r clipboard' option to manpage (closes: #506893).
  * Add viewport patch from Ubuntu.
  * Fix minor packaging issues.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 26 Mar 2011 13:11:06 +0100

rdesktop (1.6.0-3) unstable; urgency=low

  [ Patrick Calhoun ]
  * debian/patches/35_force_rdpdr.dpatch: Backported patch From Sameer Naik to
    init rdpdr. ( http://article.gmane.org/gmane.network.rdesktop.devel/2808 )
  * debian/patches/32_it_keymap.dpatch: Italian keymap (closes: #540352).
  * debian/patches/80_config.dpatch: use autotools config.guess, config.sub
    (moved script from debian/rules to the dpatch system)
  * Compile with alsa sound support enabled (closes: #507654).
  * Added libasound2-dev, dpatch (>= 2.0.9) to build-depends
  * Update debhelper-compat to 6 (was 4) , no changes needed.
  * Modified debian/rules to build using dpatch

  [ Laszlo Boszormenyi ]
  * Added watch file (closes: #519065).
  * Moved nostrip option handling to 80_handle_nostrip_option.dpatch as using
    dpatch now.
  * Added pkg-config to build-depends, needs for detecting ALSA availability.
  * Updated Standards-Version to 3.8.2 , no changes needed.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 20 Aug 2009 23:07:08 +0000

rdesktop (1.6.0-2) unstable; urgency=low

  * Compile with IPv6 support (closes: #432299).
  * Remove obsolete x-dev build-dependency.
  * Adhere to policy 10.1 , don't stip binary if nostrip specified in
    DEB_BUILD_OPTIONS (closes: #437887).
  * Update Standards-Version to 3.8.0 , no changes needed.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 16 Aug 2008 14:40:47 +0000

=== debian/control ===
Source: rdesktop
Section: x11
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 6.0.0), pkg-config, autoconf, automake, autotools-dev, libasound2-dev, libxt-dev, libx11-dev, libssl-dev
Standards-Version: 3.9.2

Package: rdesktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RDP client for Windows NT/2000 Terminal Server and Windows Servers
 rdesktop is an open source client for Windows NT/2000 Terminal Server and
 Windows Server 2003/2008. Capable of natively speaking its Remote Desktop
 Protocol (RDP) in order to present the user's Windows desktop. Unlike Citrix
 ICA, no server extensions are required.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall

LDFLAGS_DEF += `dpkg-buildflags --get LDFLAGS`
CPPFLAGS_DEF = `dpkg-buildflags --get CPPFLAGS`

config.status: configure.ac
	dh_testdir
	./bootstrap

	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS_DEF)" LDFLAGS="$(LDFLAGS_DEF)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-ipv6 --with-sound=alsa

build-arch: build-stamp
build-indep: build-stamp

build: build-arch build-indep

build-stamp: config.status
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) distclean

#ifneq "$(wildcard /usr/share/misc/config.sub)" ""
#	cp -f /usr/share/misc/config.sub config.sub
#endif
#ifneq "$(wildcard /usr/share/misc/config.guess)" ""
#	cp -f /usr/share/misc/config.guess config.guess
#endif

	rm -f config.log aclocal.m4 configure
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/rdesktop

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs doc/ChangeLog
	dh_installexamples
	dh_install
	dh_installmenu
	dh_installman
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rdesktop 1.7.1

=== debian/changelog ===
rdesktop (1.7.1-1ubuntu2) trusty; urgency=low

  * Use autotools-dev helper for newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 13 Mar 2014 13:57:51 -0400

rdesktop (1.7.1-1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/control: Build-depend on libsamplerate-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Apr 2012 14:09:38 +0100

rdesktop (1.7.1-1) unstable; urgency=low

  * New upstream release, update patches to apply clean.
  * Enable smartcard support (closes: #546713).
  * Enable RandR extension support.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 08 Feb 2012 09:38:40 +0000

rdesktop (1.7.0-1ubuntu2) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 11:48:11 +0100

rdesktop (1.7.0-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control:
      - Build-depend on libsamplerate-dev

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 04 May 2011 13:17:42 -0400

rdesktop (1.6.0-3ubuntu4) natty; urgency=low

  * debian/patches/debian/patches/16_lp667275.dpatch: fix more 64bit
    crashes, from upstream, thanks to Stephan Diestelhorst (LP: #667275).

 -- Kees Cook <kees@ubuntu.com>  Thu, 10 Mar 2011 15:55:09 -0800

rdesktop (1.6.0-3ubuntu3) natty; urgency=low

  * debian/patches/15_lp192218.dpatch: fix -g workarea on 64 bit machines
    (LP: #192218)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 09 Mar 2011 15:18:10 -0600

rdesktop (1.6.0-3ubuntu2) maverick; urgency=low

  * debian/patches/02_raw_keyboard_support.patch:
    - Drop patch as it is causing a number of problems in non-raw mode
      (LP: #494311)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 10 Sep 2010 11:53:46 +1000

rdesktop (1.6.0-3ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
  * debian/control:
    - Build-depend on libsamplerate-dev
  * debian/patches/01_paging.patch:
    - Add viewport patch.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 16 Jun 2010 15:57:28 +1000

rdesktop (1.6.0-1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable
  * Remaining Ubuntu changes:
    - Replace x-dev with libx11-dev in Build-Depends.
    - Build with ALSA support.
    - Add viewport patch.
  * Add patch from Alt Linux that adds support for raw keyboard.
    (LP: #251709)

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 28 Jul 2008 12:49:31 +1000

rdesktop (1.6.0-0ubuntu2) intrepid; urgency=low

  * Add in dpatch.
  * Merge viewport patch from the package in the ubuntu-mobile PPA.
  * Munge Maintainer as per spec. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 27 Jun 2008 14:53:29 +1000

rdesktop (1.6.0-0ubuntu1) intrepid; urgency=low

  * merge new upstream version. LP: #235160
  * new upstream fixes security issues. LP: #228193
  * replace x-dev with libx11-dev in build-depends.
  * build with alsa support. add libasound2-dev and libsamplerate to build
    dependencies. LP: #231997

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 27 May 2008 23:48:23 +0200

=== debian/control ===
Source: rdesktop
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 6.0.0), pkg-config, autoconf, automake, autotools-dev, libasound2-dev, libxt-dev, libx11-dev, libssl-dev, libxrandr-dev, libpcsclite-dev, libsamplerate-dev
Standards-Version: 3.9.2

Package: rdesktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pcscd
Description: RDP client for Windows NT/2000 Terminal Server and Windows Servers
 rdesktop is an open source client for Windows NT/2000 Terminal Server and
 Windows Server 2003/2008. Capable of natively speaking its Remote Desktop
 Protocol (RDP) in order to present the user's Windows desktop. Unlike Citrix
 ICA, no server extensions are required.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,10 @@
 
 config.status: configure.ac
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	./bootstrap
 
-	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS_DEF)" LDFLAGS="$(LDFLAGS_DEF)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-ipv6 --with-sound=alsa
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS_DEF)" LDFLAGS="$(LDFLAGS_DEF)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-ipv6 --with-sound=alsa --enable-smartcard
 
 build-arch: build-stamp
 build-indep: build-stamp
@@ -48,6 +49,7 @@
 #endif
 
 	rm -f config.log aclocal.m4 configure
+	dh_autotools-dev_restoreconfig
 	dh_clean 
 
 install: build

## rdesktop 1.8.2

=== debian/changelog ===
rdesktop (1.8.2-1) unstable; urgency=low

  * New upstream release (closes: #739961).
  * Use dh-autoreconf to update auto* files (closes: #744501).
  * Drop 32_it_keymap.dpatch as upstream merged it and
    90-snprintf-format-fix.patch as no longer needed.
  * Update to Standards-Version 3.9.5 and to debhelper level 9 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Aug 2014 15:57:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: rdesktop
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 6.0.0), pkg-config, autoconf, automake, autotools-dev, libasound2-dev, libxt-dev, libx11-dev, libssl-dev, libxrandr-dev, libpcsclite-dev, libsamplerate-dev
-Standards-Version: 3.9.2
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, autoconf, automake, autotools-dev, libasound2-dev, libxt-dev, libx11-dev, libssl-dev, libxrandr-dev, libpcsclite-dev, libgssglue-dev
+Standards-Version: 3.9.5
 
 Package: rdesktop
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 config.status: configure.ac
 	dh_testdir
-	dh_autotools-dev_updateconfig
+	dh_autoreconf
 	./bootstrap
 
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS_DEF)" LDFLAGS="$(LDFLAGS_DEF)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-ipv6 --with-sound=alsa --enable-smartcard
@@ -37,25 +37,18 @@
 clean:
 	dh_testdir
 	dh_testroot
+	dh_autoreconf_clean
 	rm -f build-stamp 
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 
-#ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-#	cp -f /usr/share/misc/config.sub config.sub
-#endif
-#ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-#	cp -f /usr/share/misc/config.guess config.guess
-#endif
-
 	rm -f config.log aclocal.m4 configure
-	dh_autotools-dev_restoreconfig
 	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/rdesktop

## rdesktop 1.8.3

=== debian/changelog ===
rdesktop (1.8.3-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:52:46 +0000

rdesktop (1.8.3-2) unstable; urgency=low

  * Fix FTBFS with OpenSSL 1.1.0 (closes: #828530).
  * Update watch file for GitHub project.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Sep 2016 17:24:14 +0000

rdesktop (1.8.3-1) unstable; urgency=medium

  * New upstream release; remove the Windows key bugfix backport, this
    release contains it.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Dec 2014 18:46:19 +0000

rdesktop (1.8.2-3) unstable; urgency=low

  * Backport fix to handle Windows key (closes: #768066).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 04 Nov 2014 17:06:04 +0000

rdesktop (1.8.2-2) unstable; urgency=medium

  * Update config.{sub,guess} for the AArch64 port (closes: #727953).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 16 Oct 2014 16:18:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: rdesktop
 Section: x11
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, autoconf, automake, autotools-dev, libasound2-dev, libxt-dev, libx11-dev, libssl-dev, libxrandr-dev, libpcsclite-dev, libgssglue-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 
 Package: rdesktop
 Architecture: any

=== debian/watch ===
version=3
opts=uversionmangle=s/-b(\d+)$/~beta$1/,dversionmangle=s/\.dfsg// \
https://github.com/rdesktop/rdesktop/tags \
(?:|.*/)v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## rdesktop 1.8.4

=== debian/changelog ===
rdesktop (1.8.4-1~deb9u1) stretch-security; urgency=medium

  * Security backport for Stretch.
  * Relax debhelper build dependency.
  * Relax Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Feb 2019 09:38:27 +0000

rdesktop (1.8.4-1) unstable; urgency=high

  * New upstream release, including many security fixes:
    - fix possible integer overflow in s_check_rem() on 32bit arch,
    - CVE-2018-8791: fix minor information leak in rdpdr_process(),
    - CVE-2018-8792: fix denial of service in cssp_read_tsrequest(),
    - CVE-2018-8793: fix remote code execution in cssp_read_tsrequest(),
    - CVE-2018-8794: fix memory corruption in process_bitmap_data(),
    - CVE-2018-8795: fix remote code execution in process_bitmap_data(),
    - CVE-2018-8796: fix denial of service in process_bitmap_data(),
    - CVE-2018-8797: fix remote code execution in process_plane(),
    - CVE-2018-8798: fix minor information leak in rdpsnd_process_ping(),
    - CVE-2018-8799: fix denial of service in process_secondary_order(),
    - CVE-2018-8800: fix remote code execution in ui_clip_handle_data(),
    - CVE-2018-20174: fix major information leak in ui_clip_handle_data(),
    - CVE-2018-20175: fix denial of service in mcs_recv_connect_response()
      and in mcs_parse_domain_params(),
    - CVE-2018-20176: fix denial of service in sec_parse_crypt_info() and
      in sec_recv(),
    - CVE-2018-20177: fix memory corruption in rdp_in_unistr(),
    - CVE-2018-20178: fix denial of service in process_demand_active(),
    - CVE-2018-20179: fix remote code execution in lspci_process(),
    - CVE-2018-20180: fix remote code execution in rdpsnddbg_process(),
    - CVE-2018-20181: fix remote code execution in seamless_process(),
    - CVE-2018-20182: fix remote code execution in seamless_process_line().
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 07 Jan 2019 23:03:14 +0000

## rdesktop 1.8.6

=== debian/changelog ===
rdesktop (1.8.6-2) unstable; urgency=medium

  * Backport fixed version number and typo.
  * Backport sec_decrypt() the correct amount of data (closes: #930511).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 14 Jun 2019 15:32:25 +0000

rdesktop (1.8.6-1) unstable; urgency=high

  * New upstream release, including many security fixes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 10 Jun 2019 07:16:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: rdesktop
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, autoconf, automake, autotools-dev, libasound2-dev, libxt-dev, libx11-dev, libssl-dev, libxrandr-dev, libpcsclite-dev, libgssglue-dev
-Standards-Version: 3.9.8
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 11), dh-autoreconf, pkg-config, autoconf, automake, autotools-dev, libasound2-dev, libxt-dev, libx11-dev, libssl-dev, libxrandr-dev, libpcsclite-dev, libgssglue-dev
+Standards-Version: 4.3.0
+Homepage: https://www.rdesktop.org/
 
 Package: rdesktop
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 config.status: configure.ac
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	dh_autoreconf
 	./bootstrap
 
@@ -43,6 +44,7 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 
 	rm -f config.log aclocal.m4 configure
+	dh_autotools-dev_restoreconfig
 	dh_clean 
 
 install: build

## rdesktop 1.9.0

=== debian/changelog ===
rdesktop (1.9.0-3) unstable; urgency=medium

  [ Andreas Tille <tille@debian.org> ]
  * Maintain package in Debian team on Salsa
  * Drop obsolete debian/README.source
    Closes: #1110334
  * debhelper-compat (= 13)
  * d/control:
     - Drop explicit Build-Depends: autoconf, automake
     - Build-Depends: s/pkg-config/pkgconf/
  * d/copyright:
     - DEP5
     - Review
  * Add hint that upstream needs a new upstream maintainer to long
    description.
  * d/watch: version=5
  * Verify that this upstream version contains the patch which fixes
    DPI and Mouse Cursor for Windows 10
    Closes: #839551
  * Verify that code to fix redirected disk file transfer is included
    in recent upstream version
    Closes: #563114
  * Verify that patch to nt duplicate scroll wheel events is included
    in recent upstream version
    Closes: #573395
  * Verify that patch is applied upstream
    Closes: #617615
  * Verify that value for CallerAvailableAllocationUnits from
    FileFsFullSizeInformation is correct in this version
    Closes: #639413
  * Verify that this version does support _WM_NET_PID
    Closes: #749056
  * Standards-Version: 4.7.3

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 10 Feb 2026 21:57:15 +0100

rdesktop (1.9.0-2) unstable; urgency=medium

  * Backport upstream fix to use correct modulus and exponent in
    rdssl_rkey_get_exp_mod() (closes: #947928).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 04 Jan 2020 10:26:56 +0000

rdesktop (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update patches.
  * Use short debhelper rules format.
  * Update watch file.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Oct 2019 08:19:11 +0000

=== debian/control ===
Source: rdesktop
Section: x11
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), pkgconf, libasound2-dev, libxt-dev, libx11-dev, libxcursor-dev, libxrandr-dev, libkrb5-dev, gnutls-dev, libpcsclite-dev, libgssglue-dev, libtasn1-dev, nettle-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/rdesktop
Vcs-Git: https://salsa.debian.org/debian/rdesktop.git
Homepage: https://www.rdesktop.org/

Package: rdesktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pcscd
Description: RDP client for Windows NT/2000 Terminal Server and Windows Servers
 rdesktop is an open source client for Windows NT/2000 Terminal Server and
 Windows Server 2003/2008. Capable of natively speaking its Remote Desktop
 Protocol (RDP) in order to present the user's Windows desktop. Unlike Citrix
 ICA, no server extensions are required.
 .
 Rdesktop is in need of a new upstream maintainter. Please see the home page
 for more details.

=== debian/watch ===
Version: 5

Template: Github
Owner: rdesktop
Project: rdesktop
Dversion-Mangle: auto
Uversion-Mangle: s/-beta$/~beta/
